<?php

//Création des menus
function register_my_menu(){
  register_nav_menu( 'main-menu', 'Menu principal' );
  register_nav_menu( 'menu-rapide', 'Menu rapide' );
  register_nav_menu( 'menu-footer', 'Menu footer' );
}
add_action( 'after_setup_theme', 'register_my_menu' );

//Wordpress génère le titre de la page
add_theme_support( 'title-tag' );

// Création des sidebars
function register_my_sidebars(){
  register_sidebar(
      array(
          'name' => "Sidebar principale",
          'id' => 'main-sidebar',
          'description' => "La sidebar principale",
          'before_widget' => '<div class="fr-callout fr-fi-information-line">',
          'after_widget'  => '</p></div>',
          'before_title'  => '<h3 class="fr-callout__title">',
          'after_title'   => '</h3><p class="fr-callout__text">'
      )
  );
 
  register_sidebar(
      array(
          'name' => "Sidebar du footer",
          'id' => 'footer-sidebar',
          'description' => "La sidebar principale",
          'before_widget' => '<div id="%1$s" class="fr-col-12 fr-col-sm-3 fr-col-md-2 %2$s">',
          'after_widget'  => '</div>',
          'before_title'  => '<h3 class="fr-footer__top-cat">',
          'after_title'   => '</h3>'
      )
  );

}
add_action('widgets_init', 'register_my_sidebars');

//Ajouter des fichiers CSS / JS
function capitaine_register_assets() {
  
  
  // Déclarer un autre fichier CSS
  wp_enqueue_style( 
      'DSFR', 
      get_template_directory_uri() . '/assets/css/dsfr/dsfr.php',
      array(), 
      '1.0'
  );
  wp_enqueue_style( 
    'DSFR-icons', 
    get_template_directory_uri() . '/assets/css/utility/icons/icons.min.css',
    array(), 
    '1.0'
);

  wp_enqueue_style( 
    'main', 
    get_template_directory_uri() . '/assets/css/main.css',
    array(), 
    '1.0'
  );

  //Charger Jquery en premier
  wp_enqueue_script('jquery-defer');


  // Déclarer le JS
wp_register_script( 'script-defer', get_template_directory_uri() . '/assets/js/script.js', '1.0' );
wp_register_script( 'scriptjquery-defer', get_template_directory_uri() . '/assets/js/scriptjquery.js', '1.0' );
wp_register_script( 'dsfr-defer', get_template_directory_uri() . '/assets/css/dsfr/dsfr.module.min.js', '1.0' );

wp_enqueue_script( 'script-defer' );
wp_enqueue_script( 'scriptjquery-defer' );
wp_enqueue_script( 'dsfr-defer' );
}
add_action( 'wp_enqueue_scripts', 'capitaine_register_assets' );

// Ajout de l'attribut 'defer' sur les scripts pour un chargement plus rapide
// only on the front-end
if(!is_admin()) {
  function add_asyncdefer_attribute($tag, $handle) {
      // if the unique handle/name of the registered script has 'async' in it
      if (strpos($handle, 'async') !== false) {
          // return the tag with the async attribute
          return str_replace( '<script ', '<script async ', $tag );
      }
      // if the unique handle/name of the registered script has 'defer' in it
      else if (strpos($handle, 'defer') !== false) {
          // return the tag with the defer attribute
          return str_replace( '<script ', '<script defer ', $tag );
      }
      // otherwise skip
      else {
          return $tag;
      }
  }
  add_filter('script_loader_tag', 'add_asyncdefer_attribute', 10, 2);
}

//Permet d'ajouter une class au <li> des menus
function add_additional_class_on_li($classes, $item, $args) {
  if($args->add_li_class) {
      $classes[] = $args->add_li_class;
  }
  return $classes;
}
add_filter('nav_menu_css_class', 'add_additional_class_on_li', 1, 3);

//Regénération du megamenu

class BENZ_Walker_Nav_Menu_ACC extends Walker_Nav_Menu {

  function start_lvl(&$output, $depth = 0, $args = NULL) {
    if($depth == 0){
    $output .= '<ul class="fr-menu__list">';
    }
}
  
 function start_el(&$output, $item, $depth = 0, $args = NULL, $id = 0){
   if($depth == 0){
    $hasclass = false;
     foreach($item->classes as $value){
       if($value == "menu-item-has-children"){
        $hasclass = true;
       }
     }
     if($hasclass){
      $output .= '<li class="fr-nav__item"><button class="fr-nav__btn" aria-expanded="false" aria-controls="menu-'.$item->ID.'">'.$item->title.'</button><div class="fr-collapse fr-menu" id="menu-'.$item->ID.'">';
     }else{
      $output .= '<li class="fr-nav__item"><a class="fr-nav__link" href="'.$item->url.'" target="_self">'.$item->title.'</a></li>';
    }
   }
   else{
    $output .= '<li class="fr-nav__item"><a class="fr-nav__link" href="'.$item->url.'" target="_self">'.$item->title.'</a></li>';
   }
}
}

//Création du Megamenu
class BENZ_Walker_Nav_MegaMenu_ACC extends Walker_Nav_Menu {

function display_element( $element, &$children_elements, $max_depth, $depth=0, $args, &$output ) {
  $id_field = $this->db_fields['id'];

  if ( is_object( $args[0] ) ) {
      $args[0]->has_children = !empty( $children_elements[$element->$id_field] );
  }

  return parent::display_element( $element, $children_elements, $max_depth, $depth, $args, $output );
}


  function start_lvl(&$output, $depth = 0, $args = NULL) {
    $output .= ( $depth == 0 ) ? "<ul class='menu'>"  : "\n<ul class=\"fr-mega-menu__list\">\n";
  }

  function start_el(&$output, $item, $depth = 0, $args = NULL, $id = 0) {
    if ( $args->has_children ) {
        $item->classes[] = 'has_children';
    }
      $hasclass = false;
      $item_html = '';
      parent::start_el($item_html, $item, $depth, $args);
       foreach($item->classes as $value){
         if($value == "has_children"){
          $hasclass = true;

            if($hasclass && $depth == 0){
              $item_html = str_replace('<a', '<button class="fr-nav__btn" aria-expanded="false" aria-controls="mega-menu-'.$item->ID.'"', $item_html);
              $item_html = str_replace('</a>', '</button><div class="fr-collapse fr-mega-menu" id="mega-menu-'.$item->ID.'" tabindex="-1"><div class="fr-container fr-container--fluid fr-container-lg"><button class="fr-btn--close fr-btn" aria-controls="mega-menu-'.$item->ID.'">Fermer</button><div class="fr-grid-row fr-grid-row-lg--gutters">', $item_html);
            }

            if($hasclass && $depth == 1){
              $item_html = str_replace('<li', '<li class="fr-col-12 fr-col-lg-3" id="devenirdiv"', $item_html);
              $item_html = str_replace('</li>', '</li>', $item_html);
              $item_html = str_replace('<a', '<h5 class="fr-mega-menu__category"><a class="fr-nav__link" target="_self"', $item_html);
              $item_html = str_replace('</a>', '</a></h5>', $item_html);
              
            }
      
          }
          else{
            $item_html = str_replace('<li', '<li class="fr-nav__item"', $item_html);
          $item_html = str_replace('<a', '<a class="fr-nav__link" href="'.$item->url.'" target="_self"', $item_html);
          }
          if($depth == 2) {
            $item_html = str_replace('<li', '<li class="none" id="'.$item->ID.'"', $item_html);
            $item_html = str_replace('</li>', '</li>', $item_html);
            $item_html = str_replace('<a', '<a class="fr-nav__link" target="_self""', $item_html);
            $item_html = str_replace('</a>', '</a>', $item_html);
            
          }
       }
        
      
       $item_html = apply_filters('roots_wp_nav_menu_item', $item_html);
          $output .= $item_html;

}
  

}

// Création du fil d'ariane
function fil_ariane(){
  if (is_page() && !is_front_page() || is_single() || is_category()) {
    echo '<nav role="navigation" class="fr-breadcrumb" aria-label="vous êtes ici :">
           <button class="fr-breadcrumb__button" aria-expanded="false" aria-controls="breadcrumb-1">Voir le fil d’Ariane</button>
           <div class="fr-collapse" id="breadcrumb-1">
           <ol class="fr-breadcrumb__list">';
    echo '<li><a class="fr-breadcrumb__link" rel="nofollow" href="'.get_site_url().'">Accueil</a></li>';
  
    global $post;
    if (is_page()) {
    $ancestors = get_post_ancestors($post);
   
    if ($ancestors) {
    $ancestors = array_reverse($ancestors);
   
    foreach ($ancestors as $crumb) {
    echo '<li><a class="fr-breadcrumb__link" href="'.get_permalink($crumb).'">'.get_the_title($crumb).'</a></li>';
    }
    }
    }
   
    if (is_single()) {
    $category = get_the_category();
    echo '<li><a class="fr-breadcrumb__link" href="'.get_category_link($category[0]->cat_ID).'">'.$category[0]->cat_name.'</a></li>';
    }
   
    if (is_category()) {
    $category = get_the_category();
    echo '<li>'.$category[0]->cat_name.'</li>';
    }
   
    // Current page
    if (is_page() || is_single()) {
    echo '<li><a class="fr-breadcrumb__link" aria-current="page">'.get_the_title().'</a></li>';
    }
    echo '</ol>
           </div>
           </nav>';
    } elseif (is_front_page()) {
    // Front page
   return;
    }
}

// Activation du style pour l'éditeur wordpress
function enable_more_buttons($buttons){
  $buttons[] = 'fontselect';
  $buttons[] = 'fontsizeselect';
  $buttons[] = 'styleselect';
  $buttons[] = 'backcolor';
  $buttons[] = 'newdocument';
  $buttons[] = 'cut';
  $buttons[] = 'copy';
  $buttons[] = 'charmap';
  $buttons[] = 'hr';
  $buttons[] = 'visualaid';

  return $buttons;
}
add_filter("mce_buttons_3", "enable_more_buttons");


// Regénération du contenu "liste des commentaires"
function dsfr_comment($comment, $args, $depth) {
  if ( 'div' === $args['style'] ) {
      $tag       = 'div';
      $add_below = 'comment';
  } else {
      $tag       = 'li';
      $add_below = 'div-comment';
  }?>
  <<?php echo $tag; ?> <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ); ?> id="comment-<?php comment_ID() ?>"><?php 
  if ( 'div' != $args['style'] ) { ?>
      <div id="div-comment-<?php comment_ID() ?>" class="comment-body"><?php
  } ?>
      <div class="comment-author vcard"><?php 
          if ( $args['avatar_size'] != 0 ) {
              echo get_avatar( $comment, $args['avatar_size'] ); 
          } 
          printf( __( '%s' ), get_comment_author_link() ); ?>
      </div><?php 
      if ( $comment->comment_approved == '0' ) { ?>
          <em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.' ); ?></em><br/><?php 
      } ?>
      <div class="fr-callout fr-fi-information-line comment-content">
        <div class="comment-meta commentmetadata">
            <a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ); ?>"><?php
                /* translators: 1: date, 2: time */
                printf( 
                    __('%1$s at %2$s'), 
                    get_comment_date(),  
                    get_comment_time() 
                ); ?>
            </a><?php 
            edit_comment_link( __( '(Edit)' ), '  ', '' ); ?>
        </div>
        <?php comment_text(); ?>
        <div class="reply"><button class="fr-btn"><?php 
              comment_reply_link( 
                  array_merge( 
                      $args, 
                      array( 
                          'add_below' => $add_below, 
                          'depth'     => $depth, 
                          'max_depth' => $args['max_depth'] 
                      ) 
                  ) 
              ); ?></button>
      </div>
      </div>


<?php 
  if ( 'div' != $args['style'] ) : ?>
      </div><?php 
  endif;
}

//Ajouter le champ "Image mise en page" lors de la création d'un article
function mytheme_post_thumbnails() {
  add_theme_support( 'post-thumbnails' );
}
add_action( 'after_setup_theme', 'mytheme_post_thumbnails' );


//Ajout d'un bouton pour cacher le titre de la page dans la configuration de la page
function mysite_page_metabox() {
  add_meta_box( 
      'remove-title', 
      __('Cacher le titre de la page', 'textdomain' ), 
      'hide_title_callback', 
      'page', 
      'side', 
      'high' 
  );
}
add_action( 'add_meta_boxes' , 'mysite_page_metabox');

function hide_title_callback( $post ) {

  // you have to verify this nonce inside `mysite_save_postdata()`
  // https://codex.wordpress.org/Function_Reference/wp_nonce_field
  wp_nonce_field( 'mysite_action_name', 'mysite_nonce_field_name' );

  // now you have the post ID
  $value = get_post_meta( $post->ID, '_mysite_meta_hide_title', true );

  if( $value == "on" ) : ?>
      <label for="hide" style="vertical-align:text-bottom;">Cacher : </label><input style="margin-left: 5px;" type="checkbox" name="hide" checked>
  <?php else : ?>
      <label for="hide" style="vertical-align:text-bottom;">Cacher : </label><input style="margin-left: 5px;" type="checkbox" name="hide">
  <?php endif;
}


// Save meta key and value
function mysite_save_postdata( $post_id ) {
  // https://codex.wordpress.org/Function_Reference/wp_verify_nonce
  if ( !wp_verify_nonce( $_POST['mysite_nonce_field_name'], 'mysite_action_name' ) ) {
      return;
  }

  if ( isset( $_POST['hide']) ) {
      update_post_meta(
          $post_id,
          '_mysite_meta_hide_title',
          sanitize_text_field( $_POST['hide'] )
      );
  } else {
      update_post_meta(
          $post_id,
          '_mysite_meta_hide_title',
          sanitize_text_field( "off" )
      );
  }
}
add_action('save_post', 'mysite_save_postdata');
//Fin bouton cacher titre

// Remplace les h3 par des h2 (titre de base des contenus sont des h3 donc pour le référéncement c'est pas ouf)
function new_content($content) {

  $content = str_replace('<h3 class="widget-title">','<h2>', $content);

  return $content;
}

add_filter('the_content','new_content');

// Permet de renseigner les réseaux sociaux dans le footer via "personnaliser"

add_action('customize_register', 'theme_social_customizer'); // hook

function theme_social_customizer($wp_customize){

   //add section in wordpress customizer
  $wp_customize->add_section('social_settings_section', array(
    'title'          => 'Liens réseaux sociaux footer'
   ));

     // add input
  $wp_customize->add_setting('fb_setting', array(
   'default'        => 'https://www.facebook.com',
   ));

     // add user's control
  $wp_customize->add_control('fb_setting', array(
   'label'   => 'Facebook',
    'section' => 'social_settings_section',
   'type'    => 'text',
  ));

  $wp_customize->add_setting('tw_setting', array(
   'default'        => 'https://twitter.com',
   ));
  $wp_customize->add_control('tw_setting', array(
   'label'   => 'Twitter',
    'section' => 'social_settings_section',
   'type'    => 'text',
  ));

  $wp_customize->add_setting('insta_setting', array(
    'default'        => 'https://instagram.com',
    ));
   $wp_customize->add_control('insta_setting', array(
    'label'   => 'Instagram',
     'section' => 'social_settings_section',
    'type'    => 'text',
   ));

   $wp_customize->add_setting('lkdn_setting', array(
    'default'        => 'https://linkedin.com',
    ));
   $wp_customize->add_control('lkdn_setting', array(
    'label'   => 'LinkedIn',
     'section' => 'social_settings_section',
    'type'    => 'text',
   ));

   $wp_customize->add_setting('ytb_setting', array(
    'default'        => 'https://youtube.com',
    ));
   $wp_customize->add_control('ytb_setting', array(
    'label'   => 'Youtube',
     'section' => 'social_settings_section',
    'type'    => 'text',
   ));

}

// Ajout du choix de coloris du site dans "personnaliser"

function starter_customize_register( $wp_customize ) 
{
    $wp_customize->add_section( 'colors_website_config' , array(
        'title'    => __( 'Couleur du site', 'starter' ),
        'priority' => 30
    ) );   

    $wp_customize->add_setting( 'colors_website_config' , array(
        'capability' => 'edit_theme_options',
        'default' => 'Défaut',
        'transport' => 'refresh',
    ) );

    $wp_customize->add_control( 'colors_website_config', array(
      'type' => 'radio',
      'section' => 'colors_website_config',
      'label' => __( 'Choisissez la couleur du site' ),
      'description' => __( 'Modifie la couleur de l\'ensemble des contenus.' ),
      'choices' => array(
        'blue-france' => __( 'Bleu France (bleu)' ),
        'green-tilleul-verveine' => __( 'Tilleul Verveine (vert)' ),
        'green-bourgeon' => __( 'Bourgeon (vert)' ),
        'green-emeraude' => __( 'Émeraude (vert)' ),
        'green-menthe' => __( 'Menthe (vert)' ),
        'green-archipel' => __( 'Archipel (vert)' ),
        'blue-ecume' => __( 'Écume (bleu)' ),
        'blue-cumulus' => __( 'Cumulus (bleu)' ),
        'purple-glycine' => __( 'Glycine (violet)' ),
        'pink-macaron' => __( 'Macaron (rose)' ),
        'pink-tuile' => __( 'Tuile (rose)' ),
        'yellow-tournesol' => __( 'Tournesol (jaune)' ),
        'yellow-moutarde' => __( 'Moutarde (jaune)' ),
        'orange-terre-battue' => __( 'Terre Battue (orange)' ),
        'brown-cafe-creme' => __( 'Café crème (brun)' ),
        'brown-caramel' => __( 'Caramel (brun)' ),
        'brown-opera' => __( 'Opéra (brun)' ),
        'beige-gris-galet' => __( 'Gris Galet (beige)' ),
      ),
    ) );
}
add_action( 'customize_register', 'starter_customize_register');

// Permet de choisir entre menu déroulant ou méga menu (menu principal) via "personnaliser"

function menu_customize_register( $wp_customize ) 
{
    $wp_customize->add_section( 'menu_website_config' , array(
        'title'    => __( 'Menu pour le site', 'starter' ),
        'priority' => 30
    ) );   

    $wp_customize->add_setting( 'menu_website_config' , array(
        'capability' => 'edit_theme_options',
        'default' => 'defaut',
        'sanitize_callback' => 'themeslug_sanitize_select',
    ) );

    $wp_customize->add_control( 'menu_website_config', array(
      'type' => 'radio',
      'section' => 'menu_website_config',
      'label' => __( 'Choisissez quel type de menu vous souhaitez' ),
      'description' => __( 'Modifie la couleur de l\'ensemble des contenus.' ),
      'choices' => array(
        'defaut' => __( 'Défaut (liste déroulante)' ),
        'megamenu' => __( 'Mega menu' )
      ),
    ) );
}
add_action( 'customize_register', 'menu_customize_register');

//Choisir les services utiliser pour tarteaucitron

function cookies_customize_register( $wp_customize ) 
{
    $wp_customize->add_section( 'cookies_website_config' , array(
        'title'    => __( 'Liste des services - Cookies', 'starter' ),
        'priority' => 30,
        'description' => 'Sélectionnez les services utilisées sur le site :',
    ) );   

    $wp_customize->add_setting('ytb_config', array(
      'default'           => false,
    ));
    $wp_customize->add_control('ytb_config', array(
      'label'    		=> 'Youtube',
      'type'     		=> 'checkbox',
      'settings'		=> 'ytb_config',
      'section'  		=> 'cookies_website_config',
    ));

    $wp_customize->add_setting('daily_config', array(
      'default'           => false,
    ));
    $wp_customize->add_control('daily_config', array(
      'label'    		=> 'Dailymotion',
      'type'     		=> 'checkbox',
      'settings'		=> 'daily_config',
      'section'  		=> 'cookies_website_config',
    ));

    $wp_customize->add_setting('gmaps_config', array(
      'default'           => 'false',
    ));
    $wp_customize->add_control('gmaps_config', array(
      'label'    		=> 'Google maps',
      'type'     		=> 'checkbox',
      'settings'		=> 'gmaps_config',
      'section'  		=> 'cookies_website_config',
    ));

    $wp_customize->add_setting('twitter_config', array(
      'default'           => false,
    ));
    $wp_customize->add_control('twitter_config', array(
      'label'    		=> 'Twitter',
      'type'     		=> 'checkbox',
      'settings'		=> 'twitter_config',
      'section'  		=> 'cookies_website_config',
    ));
}
add_action( 'customize_register', 'cookies_customize_register');

//Message d'alerte dans le customizer

function alerte_customize_register( $wp_customize ) 
{
    $wp_customize->add_section( 'alerte_website_config' , array(
        'title'    => __( 'Message d\'alerte', 'starter' ),
        'priority' => 30,
        'description' => 'Votre message d\'alerte :',
    ) );   

    $wp_customize->add_setting('alerte_config', array(
      'default'           => '',
    ));
    $wp_customize->add_control('alerte_config', array(
      'label'    		=> 'Message d\'alerte',
      'type'     		=> 'text',
      'settings'		=> 'alerte_config',
      'section'  		=> 'alerte_website_config',
    ));
}
add_action( 'customize_register', 'alerte_customize_register');

function themeslug_sanitize_select( $input, $setting ) {

  // Ensure input is a slug.
  $input = sanitize_key( $input );

  // Get list of choices from the control associated with the setting.
  $choices = $setting->manager->get_control( $setting->id )->choices;

  // If the input is a valid key, return it; otherwise, return the default.
  return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
}


//Paramétrage de tarteaucitron
/**
 * Initialize tarteaucitron 
 */
function tarteaucitron_init() {
  ?>
  <script src="/wp-content/themes/wp-theme-etab/tarteaucitron.js/tarteaucitron.js"></script>
  <script type="text/javascript">
      tarteaucitron.init({
        "privacyUrl": "", /* Privacy policy url */

    	  "hashtag": "#tarteaucitron", /* Open the panel with this hashtag */
    	  "cookieName": "tarteaucitron", /* Cookie name */
    
    	  "orientation": "middle", /* Banner position (top - bottom) */
       
          "groupServices": false, /* Group services by category */
                           
    	  "showAlertSmall": false, /* Show the small banner on bottom right */
    	  "cookieslist": false, /* Show the cookie list */
                           
          "closePopup": false, /* Show a close X on the banner */

          "showIcon": true, /* Show cookie icon to manage cookies */
          //"iconSrc": "", /* Optionnal: URL or base64 encoded image */
          "iconPosition": "BottomRight", /* BottomRight, BottomLeft, TopRight and TopLeft */

    	  "adblocker": false, /* Show a Warning if an adblocker is detected */
                           
          "DenyAllCta" : true, /* Show the deny all button */
          "AcceptAllCta" : true, /* Show the accept all button when highPrivacy on */
          "highPrivacy": true, /* HIGHLY RECOMMANDED Disable auto consent */
                           
    	  "handleBrowserDNTRequest": false, /* If Do Not Track == 1, disallow all */

    	  "removeCredit": false, /* Remove credit link */
    	  "moreInfoLink": true, /* Show more info link */

          "useExternalCss": false, /* If false, the tarteaucitron.css file will be loaded */
          "useExternalJs": false, /* If false, the tarteaucitron.js file will be loaded */

    	  //"cookieDomain": ".my-multisite-domaine.fr", /* Shared cookie for multisite */
                          
          "readmoreLink": "", /* Change the default readmore link */

          "mandatory": true, /* Show a message about mandatory cookies */
      });
  </script>
  <?php
}    
add_action('wp_head', 'tarteaucitron_init');



//Configuration tarteaucitron

/**
 * Add GOOGLE TAG MANAGER and other services using tarteaucitron
 */
function add_tarteaucitron_services()
{
?>
    <script type="text/javascript">
      <?php if (get_theme_mod("ytb_config")) : ?>
        (tarteaucitron.job = tarteaucitron.job || []).push('youtube');
      <?php endif; ?>
      <?php if (get_theme_mod("twitter_config")) : ?>
        (tarteaucitron.job = tarteaucitron.job || []).push('twittertimeline');
      <?php endif; ?>
      <?php if (get_theme_mod("gmaps_config")) : ?>
        (tarteaucitron.job = tarteaucitron.job || []).push('maps_noapi');
      <?php endif; ?>
      <?php if (get_theme_mod("daily_config")) : ?>
        (tarteaucitron.job = tarteaucitron.job || []).push('dailymotion');
      <?php endif; ?>
    </script>
	<script>
	jQuery( document ).ready(function() {
    	var youtube = jQuery('iframe[src^="https://www.youtube.com/"]');
		for(var i = 0; i < youtube.length; i++){
			let src = jQuery(youtube[i]).attr('src');
			let split = src.split('/');
			let IDvideo = split.pop();
			jQuery(youtube[i]).wrap('<div class="youtube_player" videoID="'+IDvideo+'" width="width" height="height" theme="light" rel="1" controls="1" showinfo="1" autoplay="0" mute="0">');
		}
		var twitter = jQuery('a.twitter-timeline');
		for(var i = 0; i < twitter.length; i++){
			var idtwitter = jQuery(twitter[i]).attr('href');
      var heighttwitter = jQuery(twitter[i]).attr('data-height');
      var widthtwitter = jQuery(twitter[i]).attr('data-width');
			jQuery(twitter[i]).wrap('<span class="tacTwitterTimelines"></span><a class="twitter-timeline" data-height="'+heighttwitter+'" data-width="'+widthtwitter+'" data-dnt="true" href="'+idtwitter+'" data-tweet-limit="20" data-theme="light"></a>');
		}
    var gmaps = jQuery('iframe[src^="https://www.google.com/maps/"]');
		for(var i = 0; i < gmaps.length; i++){
			let src = jQuery(gmaps[i]).attr('src');
      let width = jQuery(gmaps[i]).attr('width');
      let height = jQuery(gmaps[i]).attr('height');
			let split = src.split('=');
			let IDmaps = split.pop();
			jQuery(gmaps[i]).wrap('<div class="googlemaps_embed" width="'+width+'" height="'+height+'" id="'+IDmaps+'"></iframe>');
		}
    var dailymotion = jQuery('iframe[src^="https://www.dailymotion.com/"]');
		for(var i = 0; i < dailymotion.length; i++){
			let src = jQuery(dailymotion[i]).attr('src');
      let width = jQuery(dailymotion[i]).attr('width');
      let height = jQuery(dailymotion[i]).attr('height');
			let split = src.split('/');
			let IDvideo = split.pop();
			jQuery(dailymotion[i]).wrap('<div class="dailymotion_player" videoID="'+IDvideo+'" width="'+width+'" height="'+height+'" style="position:absolute;width:'+width+';height:'+height+'"></div>');
		}
	});
	</script>
<?php
}
add_action('wp_footer', 'add_tarteaucitron_services');

//Permet d'afficher l'auteur, la date de publication de l'article et le lien pour le modifier

if ( ! function_exists( 'twenty_twenty_one_entry_meta_footer' ) ) {
	/**
	 * Prints HTML with meta information for the categories, tags and comments.
	 * Footer entry meta is displayed differently in archives and single posts.
	 *
	 * @since Twenty Twenty-One 1.0
	 *
	 * @return void
	 */
	function twenty_twenty_one_entry_meta_footer() {

		// Early exit if not a post.
		if ( 'post' !== get_post_type() ) {
			return;
		}

		// Hide meta information on pages.
		if ( ! is_single() ) {

			if ( is_sticky() ) {
				echo '<p>' . esc_html_x( 'Featured post', 'Label for sticky posts', 'twentytwentyone' ) . '</p>';
			}

			$post_format = get_post_format();
			if ( 'aside' === $post_format || 'status' === $post_format ) {
				echo '<p><a href="' . esc_url( get_permalink() ) . '">' . twenty_twenty_one_continue_reading_text() . '</a></p>'; // phpcs:ignore WordPress.Security.EscapeOutput
			}

			// Posted on.
			twenty_twenty_one_posted_on();

			// Edit post link.
			edit_post_link(
				sprintf(
					/* translators: %s: Name of current post. Only visible to screen readers. */
					esc_html__( 'Edit %s', 'twentytwentyone' ),
					'<span class="screen-reader-text">' . get_the_title() . '</span>'
				),
				'<span style="margin-left:4px;">',
				'</span><br>'
			);

			if ( has_category() || has_tag() ) {

				echo '<div class="post-taxonomies">';

				/* translators: Used between list items, there is a space after the comma. */
				$categories_list = get_the_category_list( __( ', ', 'twentytwentyone' ) );
				if ( $categories_list ) {
					printf(
						/* translators: %s: List of categories. */
						'<span class="cat-links">' . esc_html__( 'Categorized as %s', 'twentytwentyone' ) . ' </span>',
						$categories_list // phpcs:ignore WordPress.Security.EscapeOutput
					);
				}

				/* translators: Used between list items, there is a space after the comma. */
				$tags_list = get_the_tag_list( '', __( ', ', 'twentytwentyone' ) );
				if ( $tags_list ) {
					printf(
						/* translators: %s: List of tags. */
						'<span class="tags-links">' . esc_html__( 'Tagged %s', 'twentytwentyone' ) . '</span>',
						$tags_list // phpcs:ignore WordPress.Security.EscapeOutput
					);
				}
				echo '</div>';
			}
		} else {

			echo '<div class="posted-by">';
			// Posted on.
			twenty_twenty_one_posted_on();
			// Posted by.
			twenty_twenty_one_posted_by();
			// Edit post link.
			edit_post_link(
				sprintf(
					/* translators: %s: Name of current post. Only visible to screen readers. */
					esc_html__( 'Edit %s', 'twentytwentyone' ),
					'<span class="screen-reader-text">' . get_the_title() . '</span>'
				),
				'<span class="edit-link">',
				'</span>'
			);
			echo '</div>';

			if ( has_category() || has_tag() ) {

				echo '<div class="post-taxonomies">';

				/* translators: Used between list items, there is a space after the comma. */
				$categories_list = get_the_category_list( __( ', ', 'twentytwentyone' ) );
				if ( $categories_list ) {
					printf(
						/* translators: %s: List of categories. */
						'<span class="cat-links">' . esc_html__( 'Categorized as %s', 'twentytwentyone' ) . ' </span>',
						$categories_list // phpcs:ignore WordPress.Security.EscapeOutput
					);
				}

				/* translators: Used between list items, there is a space after the comma. */
				$tags_list = get_the_tag_list( '', __( ', ', 'twentytwentyone' ) );
				if ( $tags_list ) {
					printf(
						/* translators: %s: List of tags. */
						'<span class="tags-links">' . esc_html__( 'Tagged %s', 'twentytwentyone' ) . '</span>',
						$tags_list // phpcs:ignore WordPress.Security.EscapeOutput
					);
				}
				echo '</div>';
			}
		}
	}
}

//Fait apparaître les métadonnées sur la page d'accueil si elle affiche des articles

if ( ! function_exists( 'twenty_twenty_one_posted_on' ) ) {
	/**
	 * Prints HTML with meta information for the current post-date/time.
	 *
	 * @since Twenty Twenty-One 1.0
	 *
	 * @return void
	 */
	function twenty_twenty_one_posted_on() {
		$time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';

		$time_string = sprintf(
			$time_string,
			esc_attr( get_the_date( DATE_W3C ) ),
			esc_html( get_the_date() )
		);
		echo '<span class="posted-on">';
		printf(
			/* translators: %s: Publish date. */
			esc_html__( 'Published %s', 'twentytwentyone' ),
			$time_string // phpcs:ignore WordPress.Security.EscapeOutput
		);
		echo '</span>';
	}
}

/**
 * Filter the except length to 20 words.
 *
 * @param int $length Excerpt length.
 * @return int (Maybe) modified excerpt length.
 */
function wpdocs_custom_excerpt_length( $length ) {
  return 20;
}
add_filter( 'excerpt_length', 'wpdocs_custom_excerpt_length', 999 );


?>

